from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.Index(host="INDEX_HOST")
for i in index.list_imports():
print(f"id: {i.id} status: {i.status}")
Imports
List imports
List all recent and ongoing import operations.
By default, list_imports returns up to 100 imports per page. If the limit parameter is set, list returns up to that number of imports instead. Whenever there are additional IDs to return, the response also includes a pagination_token that you can use to get the next batch of imports. When the response does not include a pagination_token, there are no more imports to return.
For guidance and examples, see Import data.
GET
/
bulk
/
imports
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.Index(host="INDEX_HOST")
for i in index.list_imports():
print(f"id: {i.id} status: {i.status}")
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.Index(host="INDEX_HOST")
for i in index.list_imports():
print(f"id: {i.id} status: {i.status}")
Authorizations
Headers
Required date-based version header
Query Parameters
Max number of operations to return per page.
Required range:
1 <= x <= 100Pagination token to continue a previous listing operation.
Was this page helpful?
⌘I